Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawablePolyline Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawablePolyline:
[legend]
Collaboration diagram for Magick::DrawablePolyline:
[legend]

## Public Member Functions
| DrawablePolyline (const CoordinateList &coordinates_)
| DrawablePolyline (const DrawablePolyline &original_)
| ~DrawablePolyline (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 1234 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawablePolyline::DrawablePolyline | ( | const CoordinateList & | coordinates_ | ) |

Definition at line 842 of file Drawable.cpp.

Magick::DrawablePolyline::DrawablePolyline | ( | const DrawablePolyline & | original_ | ) |

Definition at line 847 of file Drawable.cpp.

Magick::DrawablePolyline::~DrawablePolyline | ( | void |  | ) |

Definition at line 852 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawablePolyline::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 875 of file Drawable.cpp.

void Magick::DrawablePolyline::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 856 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp